## com.sun.jersey.api.client
Interface RequestWriter.RequestEntityWriter

Enclosing class:
  RequestWriter

    protected static interface RequestWriter.RequestEntityWriter

A writer for writing a request entity.

An instance of a `RequestEntityWriter` is obtained by invoking the `RequestWriter.getRequestEntityWriter(com.sun.jersey.api.client.ClientRequest)` method.

Method Summary
`MediaType` | `getMediaType()`
`long` | `getSize()`
`void` | `writeRequestEntity(java.io.OutputStream out)` Write the request entity.

Method Detail

### getSize

    long getSize()

  Returns:
    size the size, in bytes, of the request entity, otherwise -1 if the size cannot be determined before serialization.

### getMediaType

    MediaType getMediaType()

  Returns:
    the media type of the request entity.

### writeRequestEntity

    void writeRequestEntity(java.io.OutputStream out)
                            throws java.io.IOException

  Write the request entity.

  Parameters:
    `out` - the output stream to write the request entity.
  Throws:
    `java.io.IOException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.